Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developers.e-cross.tech/llms.txt

Use this file to discover all available pages before exploring further.

curl -X GET 'https://order.api.e-cross.tech/ext/orders/ACME-ECOM-TEST-003' \
  -H 'Authorization: Bearer YOUR_TOKEN'
{
  "orderId": "ACME-ECOM-TEST-003",
  "merchantId": "ACME",
  "salesChannelOrderId": "TEST-003",
  "salesChannel": "ECOM",
  "status": "READY_TO_SHIP",
  "value": 234,
  "currency": "BRL",
  "foreignCurrency": "USD",
  "creationDate": "2023-10-27T19:10:00Z",
  "lastUpdateDate": "2023-10-27T19:18:54.301Z",
  "statusHistory": [
    {
      "receivedDate": "2023-10-27T19:18:27.139Z",
      "eventDate": "2023-10-27T19:10:00Z",
      "status": "CREATED"
    },
    {
      "receivedDate": "2023-10-27T19:18:32.293Z",
      "eventDate": "2023-10-27T19:20:00Z",
      "status": "APPROVED"
    },
    {
      "receivedDate": "2023-10-27T19:18:37.126Z",
      "eventDate": "2023-10-27T19:20:00Z",
      "status": "HANDLING"
    },
    {
      "eventData": {
        "packedSkuList": [
          {
            "skuId": "1",
            "quantity": 1
          }
        ],
        "parcelCode": "CARD_SMALL"
      },
      "receivedDate": "2023-10-27T19:18:38.232Z",
      "eventDate": "2023-10-27T19:18:38.232Z",
      "status": "PACKED"
    },
    {
      "eventData": {
        "number": "0000001",
        "value": 45,
        "items": [
          {
            "skuId": "1",
            "quantity": 1,
            "invoicedPrice": 45
          }
        ],
        "invoiceUrl": "https://pdfobject.com/pdf/sample.pdf"
      },
      "receivedDate": "2023-10-27T19:18:43.885Z",
      "eventDate": "2023-10-27T19:18:39.665Z",
      "status": "INVOICED"
    },
    {
      "eventData": {
        "documents": [
          {
            "name": "Label",
            "url": "https://pdfobject.com/pdf/sample.pdf"
          }
        ],
        "parcelId": "ACME800413194788BR"
      },
      "receivedDate": "2023-10-27T19:18:53.587Z",
      "eventDate": "2023-10-27T19:18:53.587Z",
      "status": "READY_TO_SHIP"
    },
    {
      "eventData": {
        "parcelId": "ACME800413194788BR",
        "trackingCodes": [
          "AWAITING_PICK_UP"
        ],
        "trackingUpdateMode": "APPEND"
      },
      "receivedDate": "2023-10-27T19:20:05.301Z",
      "eventDate": "2023-10-27T19:20:00Z",
      "status": "PARCEL_TRACKING_UPDATED"
    }
  ],
  "totals": {
    "orderValue": 234,
    "itemsGross": 234,
    "itemsDiscount": 0,
    "shippingGross": 0,
    "shippingDiscount": 0,
    "taxes": 0,
    "grossInboundValue": 234,
    "fees": 0,
    "netInboundValue": 234
  },
  "totalsForeignCurrency": {
    "orderValue": 45,
    "itemsGross": 45,
    "itemsDiscount": 0,
    "shippingGross": 0,
    "shippingDiscount": 0,
    "taxes": 0,
    "grossOutboundValue": 45,
    "fees": 0,
    "netOutboundValue": 45
  },
  "items": [
    {
      "id": "c62c9ca2-de02-4580-94e5-e1fef5cb8e7c",
      "skuId": "ACME-1",
      "salesChannelSkuId": "1",
      "ean": "0799439112766",
      "quantity": 1,
      "name": "Awesome Toy",
      "listPrice": 234,
      "salePrice": 234,
      "foreignListPrice": 45,
      "foreignSalePrice": 45,
      "invoicedPrice": 45,
      "weight": 0.16,
      "hsCode": "29362900"
    }
  ],
  "customer": {
    "type": "PERSON",
    "firstName": "John",
    "lastName": "Doe",
    "document": "1234567890",
    "email": "john.doe@e-cross.tech",
    "phone": {
      "countryCode": "55",
      "areaCode": "11",
      "number": "999999994"
    },
    "billingAddress": {
      "country": "BR",
      "state": "SP",
      "city": "São Paulo",
      "postalCode": "01218-000",
      "street": "Alameda Cleveland",
      "number": "31",
      "neighborhood": "Campos Elíseos",
      "receiverName": "John Doe"
    }
  },
  "shipping": {
    "outboundCountry": "CN",
    "deliveryAddress": {
      "country": "BR",
      "state": "SP",
      "city": "São Paulo",
      "postalCode": "01218-000",
      "street": "Alameda Cleveland",
      "number": "31",
      "neighborhood": "Campos Elíseos",
      "receiverName": "John Doe"
    },
    "deliveries": [
      {
        "name": "Normal",
        "company": "Company",
        "clearance": "Postal",
        "lastMileTrackingNumber": "NL970165916BR",
        "leadTime": 7,
        "listPrice": 0,
        "salePrice": 0,
        "deliveryTime": 7,
        "deliveryEstimateDate": "2023-11-07T19:10:00Z",
        "items": [
          "c62c9ca2-de02-4580-94e5-e1fef5cb8e7c"
        ],
        "parcels": [
          {
            "name": "Cardboard Small",
            "code": "CARD_SMALL",
            "parcelId": "ACME800413194788BR",
            "length": 15,
            "width": 10,
            "height": 8,
            "weight": 0.04,
            "netWeight": 0.16,
            "grossWeight": 0.2,
            "items": [
              {
                "salesChannelSkuId": "1",
                "quantity": 1
              }
            ],
            "documents": [
              {
                "name": "Label",
                "url": "https://pdfobject.com/pdf/sample.pdf"
              }
            ],
            "events": [
              {
                "eventId": "evt_20231027_01",
                "eventDate": "2023-10-27T19:20:00Z",
                "code": "AWAITING_PICK_UP",
                "macroStep": "SHIPMENT_CREATED",
                "carrierId": "ACME_FULFILLMENT",
                "externalCode": "AWAITING_PICK_UP",
                "description": "Order packed and ready for first mile pickup",
                "location": "Sao Paulo, SP, BR"
              }
            ]
          }
        ]
      }
    ]
  },
  "payments": [
    {
      "type": "BILL",
      "value": 234
    }
  ]
}

Path Parameters

orderId
string
required
The e-CROSS order ID.

Response Fields

The response includes all fields from the List Orders API, plus:
statusHistory
array
The detailed status history of the order, showing all status changes and associated event data.